summaryrefslogtreecommitdiffstats
path: root/src/mrun
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
commit19fcec84d8d7d21e796c7624e521b60d28ee21ed (patch)
tree42d26aa27d1e3f7c0b8bd3fd14e7d7082f5008dc /src/mrun
parentInitial commit. (diff)
downloadceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.tar.xz
ceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.zip
Adding upstream version 16.2.11+ds.upstream/16.2.11+dsupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/mrun')
-rwxr-xr-xsrc/mrun30
1 files changed, 30 insertions, 0 deletions
diff --git a/src/mrun b/src/mrun
new file mode 100755
index 000000000..e2ab491b3
--- /dev/null
+++ b/src/mrun
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+
+[ $# -lt 2 ] && echo "usage: $0 <name> <command> [params...]" && exit 1
+
+root=`dirname $0`
+run_name=$1
+command=$2
+CEPH_BIN=$root
+CEPH_CONF_PATH=$root/run/$run_name
+
+[ -z "$BUILD_DIR" ] && BUILD_DIR=build
+
+if [ -e CMakeCache.txt ]; then
+ CEPH_BIN=$PWD/bin
+ CEPH_CONF_PATH=$PWD/run/$run_name
+elif [ -e $root/../${BUILD_DIR}/CMakeCache.txt ]; then
+ cd $root/../${BUILD_DIR}
+ CEPH_BIN=$PWD/bin
+ CEPH_CONF_PATH=$PWD/run/$run_name
+fi
+
+shift 2
+
+if [ "$RGW_VALGRIND" == 'yes' ] && [ $command == 'radosgw' ]; then
+ valgrind --trace-children=yes --tool=memcheck --max-threads=1024 $CEPH_BIN/$command -c $CEPH_CONF_PATH/ceph.conf "$@"
+ sleep 10
+else
+ $CEPH_BIN/$command -c $CEPH_CONF_PATH/ceph.conf "$@"
+fi
+